import styled from 'styled-components';
import { selectors } from '@defencedigital/design-tokens';
var spacing = selectors.spacing,
  zIndex = selectors.zIndex;
export var StyledEvent = styled.div.withConfig({
  displayName: "StyledEvent",
  componentId: "sc-1hsyzwy-0"
})(["position:absolute;top:50%;left:", ";width:4.5rem;transform:translateY(-50%);display:inline-flex;flex-direction:column;padding:", " 0;overflow:visible;z-index:", ";"], function (_ref) {
  var $leftPx = _ref.$leftPx;
  return $leftPx || 0;
}, spacing('2'), zIndex('body', 2));